<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>Ucm_interactionsPackageImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/Ucm_interactionsPackageImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2017 CEA LIST and Thales</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.impl;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EAttribute;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EEnum;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EPackage;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EReference;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.EPackageImpl;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.UCMProfilePackage;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.impl.UCMProfilePackageImpl;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_commons.Ucm_commonsPackage;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_commons.impl.Ucm_commonsPackageImpl;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.Ucm_componentsPackage;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.Ucm_componentsPackageImpl;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.Ucm_contractsPackage;
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl.Ucm_contractsPackageImpl;
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.ConnectorDefinition;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.ConnectorPort;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.ConnectorPortConfiguration;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.IInteractionDefinition;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.IPortType;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.InteractionDefinitionModule;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.InteractionItem;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.InteractionItemKind;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.InteractionPattern;
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.InteractionRole;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.ItemBinding;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.PortElement;
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.PortElementKind;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.PortType;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.Ucm_interactionsFactory;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.Ucm_interactionsPackage;
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.Ucm_technicalpoliciesPackage;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl.Ucm_technicalpoliciesPackageImpl;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.UMLPackage;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment"> * An implementation of the model &lt;b&gt;Package&lt;/b&gt;.</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/Ucm_interactionsPackageImpl.html">Ucm_interactionsPackageImpl</a> <strong class="jxr_keyword">extends</strong> EPackageImpl <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html">Ucm_interactionsPackage</a> {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  	<strong class="jxr_keyword">private</strong> EClass interactionDefinitionModuleEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	<strong class="jxr_keyword">private</strong> EClass interactionPatternEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  	<strong class="jxr_keyword">private</strong> EClass iInteractionDefinitionEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	<strong class="jxr_keyword">private</strong> EClass connectorPortEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  	<strong class="jxr_keyword">private</strong> EClass interactionRoleEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 	<strong class="jxr_keyword">private</strong> EClass portElementEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L106" href="#L106">106</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L107" href="#L107">107</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 	<strong class="jxr_keyword">private</strong> EClass connectorDefinitionEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L113" href="#L113">113</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L114" href="#L114">114</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L116" href="#L116">116</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	<strong class="jxr_keyword">private</strong> EClass itemBindingEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	<strong class="jxr_keyword">private</strong> EClass portTypeEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 	<strong class="jxr_keyword">private</strong> EClass iPortTypeEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L136" href="#L136">136</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L137" href="#L137">137</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	<strong class="jxr_keyword">private</strong> EClass connectorPortConfigurationEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L143" href="#L143">143</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L144" href="#L144">144</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	<strong class="jxr_keyword">private</strong> EClass interactionItemEClass = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L151" href="#L151">151</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 	<strong class="jxr_keyword">private</strong> EEnum portElementKindEEnum = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L155" href="#L155">155</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L156" href="#L156">156</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L157" href="#L157">157</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L158" href="#L158">158</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 	<strong class="jxr_keyword">private</strong> EEnum interactionItemKindEEnum = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L162" href="#L162">162</a> <em class="jxr_javadoccomment">	 * Creates an instance of the model &lt;b&gt;Package&lt;/b&gt;, registered with</em>
<a class="jxr_linenumber" name="L163" href="#L163">163</a> <em class="jxr_javadoccomment">	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package</em>
<a class="jxr_linenumber" name="L164" href="#L164">164</a> <em class="jxr_javadoccomment">	 * package URI value.</em>
<a class="jxr_linenumber" name="L165" href="#L165">165</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;Note: the correct way to create the package is via the static</em>
<a class="jxr_linenumber" name="L166" href="#L166">166</a> <em class="jxr_javadoccomment">	 * factory method {@link #init init()}, which also performs</em>
<a class="jxr_linenumber" name="L167" href="#L167">167</a> <em class="jxr_javadoccomment">	 * initialization of the package, or returns the registered package,</em>
<a class="jxr_linenumber" name="L168" href="#L168">168</a> <em class="jxr_javadoccomment">	 * if one already exists.</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L170" href="#L170">170</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L171" href="#L171">171</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.emf.ecore.EPackage.Registry</em>
<a class="jxr_linenumber" name="L172" href="#L172">172</a> <em class="jxr_javadoccomment">	 * @see org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_interactions.Ucm_interactionsPackage#eNS_URI</em>
<a class="jxr_linenumber" name="L173" href="#L173">173</a> <em class="jxr_javadoccomment">	 * @see #init()</em>
<a class="jxr_linenumber" name="L174" href="#L174">174</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L175" href="#L175">175</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/impl/Ucm_interactionsPackageImpl.html">Ucm_interactionsPackageImpl</a>() {
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 		<strong class="jxr_keyword">super</strong>(eNS_URI, Ucm_interactionsFactory.eINSTANCE);
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 	}
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L181" href="#L181">181</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L182" href="#L182">182</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L183" href="#L183">183</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L184" href="#L184">184</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">boolean</strong> isInited = false;
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 * Creates, registers, and initializes the &lt;b&gt;Package&lt;/b&gt; for this model, and for any others upon which it depends.</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * </em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;This method is used to initialize {@link Ucm_interactionsPackage#eINSTANCE} when that field is accessed.</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <em class="jxr_javadoccomment">	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L193" href="#L193">193</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L194" href="#L194">194</a> <em class="jxr_javadoccomment">	 * @see #eNS_URI</em>
<a class="jxr_linenumber" name="L195" href="#L195">195</a> <em class="jxr_javadoccomment">	 * @see #createPackageContents()</em>
<a class="jxr_linenumber" name="L196" href="#L196">196</a> <em class="jxr_javadoccomment">	 * @see #initializePackageContents()</em>
<a class="jxr_linenumber" name="L197" href="#L197">197</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L198" href="#L198">198</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsPackage.html">Ucm_interactionsPackage</a> init() {
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 		<strong class="jxr_keyword">if</strong> (isInited) <strong class="jxr_keyword">return</strong> (Ucm_interactionsPackage)EPackage.Registry.INSTANCE.getEPackage(Ucm_interactionsPackage.eNS_URI);
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 		<em class="jxr_comment">// Obtain or create and register package</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 		Ucm_interactionsPackageImpl theUcm_interactionsPackage = (Ucm_interactionsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof Ucm_interactionsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : <strong class="jxr_keyword">new</strong> Ucm_interactionsPackageImpl());
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 		isInited = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 		<em class="jxr_comment">// Initialize simple dependencies</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 		UMLPackage.eINSTANCE.eClass();
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 		<em class="jxr_comment">// Obtain or create and register interdependencies</em>
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 		UCMProfilePackageImpl theUCMProfilePackage = (UCMProfilePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(UCMProfilePackage.eNS_URI) instanceof UCMProfilePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(UCMProfilePackage.eNS_URI) : UCMProfilePackage.eINSTANCE);
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 		Ucm_componentsPackageImpl theUcm_componentsPackage = (Ucm_componentsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Ucm_componentsPackage.eNS_URI) instanceof Ucm_componentsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Ucm_componentsPackage.eNS_URI) : Ucm_componentsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 		Ucm_contractsPackageImpl theUcm_contractsPackage = (Ucm_contractsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Ucm_contractsPackage.eNS_URI) instanceof Ucm_contractsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Ucm_contractsPackage.eNS_URI) : Ucm_contractsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 		Ucm_technicalpoliciesPackageImpl theUcm_technicalpoliciesPackage = (Ucm_technicalpoliciesPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Ucm_technicalpoliciesPackage.eNS_URI) instanceof Ucm_technicalpoliciesPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Ucm_technicalpoliciesPackage.eNS_URI) : Ucm_technicalpoliciesPackage.eINSTANCE);
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 		Ucm_commonsPackageImpl theUcm_commonsPackage = (Ucm_commonsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Ucm_commonsPackage.eNS_URI) instanceof Ucm_commonsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Ucm_commonsPackage.eNS_URI) : Ucm_commonsPackage.eINSTANCE);
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 		<em class="jxr_comment">// Create package meta-data objects</em>
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 		theUcm_interactionsPackage.createPackageContents();
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 		theUCMProfilePackage.createPackageContents();
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 		theUcm_componentsPackage.createPackageContents();
<a class="jxr_linenumber" name="L221" href="#L221">221</a> 		theUcm_contractsPackage.createPackageContents();
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 		theUcm_technicalpoliciesPackage.createPackageContents();
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 		theUcm_commonsPackage.createPackageContents();
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 		<em class="jxr_comment">// Initialize created meta-data</em>
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 		theUcm_interactionsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 		theUCMProfilePackage.initializePackageContents();
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 		theUcm_componentsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 		theUcm_contractsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 		theUcm_technicalpoliciesPackage.initializePackageContents();
<a class="jxr_linenumber" name="L231" href="#L231">231</a> 		theUcm_commonsPackage.initializePackageContents();
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 		<em class="jxr_comment">// Mark meta-data to indicate it can't be changed</em>
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 		theUcm_interactionsPackage.freeze();
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 
<a class="jxr_linenumber" name="L236" href="#L236">236</a>   
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 		<em class="jxr_comment">// Update the registry and return the package</em>
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 		EPackage.Registry.INSTANCE.put(Ucm_interactionsPackage.eNS_URI, theUcm_interactionsPackage);
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 		<strong class="jxr_keyword">return</strong> theUcm_interactionsPackage;
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 	}
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L243" href="#L243">243</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L244" href="#L244">244</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L245" href="#L245">245</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L246" href="#L246">246</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 	<strong class="jxr_keyword">public</strong> EClass getInteractionDefinitionModule() {
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 		<strong class="jxr_keyword">return</strong> interactionDefinitionModuleEClass;
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 	}
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L252" href="#L252">252</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L253" href="#L253">253</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L254" href="#L254">254</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L255" href="#L255">255</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L256" href="#L256">256</a> 	<strong class="jxr_keyword">public</strong> EReference getInteractionDefinitionModule_Base_Package() {
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 		<strong class="jxr_keyword">return</strong> (EReference)interactionDefinitionModuleEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 	}
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L261" href="#L261">261</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L262" href="#L262">262</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L263" href="#L263">263</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L264" href="#L264">264</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L265" href="#L265">265</a> 	<strong class="jxr_keyword">public</strong> EClass getInteractionPattern() {
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 		<strong class="jxr_keyword">return</strong> interactionPatternEClass;
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 	}
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L270" href="#L270">270</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L271" href="#L271">271</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L272" href="#L272">272</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L273" href="#L273">273</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 	<strong class="jxr_keyword">public</strong> EClass getIInteractionDefinition() {
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 		<strong class="jxr_keyword">return</strong> iInteractionDefinitionEClass;
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 	}
<a class="jxr_linenumber" name="L277" href="#L277">277</a> 
<a class="jxr_linenumber" name="L278" href="#L278">278</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L279" href="#L279">279</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L280" href="#L280">280</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L281" href="#L281">281</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L282" href="#L282">282</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 	<strong class="jxr_keyword">public</strong> EReference getIInteractionDefinition_Base_StructuredClassifier() {
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 		<strong class="jxr_keyword">return</strong> (EReference)iInteractionDefinitionEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 	}
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 
<a class="jxr_linenumber" name="L287" href="#L287">287</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L288" href="#L288">288</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L289" href="#L289">289</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L290" href="#L290">290</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L291" href="#L291">291</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 	<strong class="jxr_keyword">public</strong> EClass getConnectorPort() {
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 		<strong class="jxr_keyword">return</strong> connectorPortEClass;
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 	}
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L297" href="#L297">297</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L298" href="#L298">298</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L299" href="#L299">299</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L300" href="#L300">300</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 	<strong class="jxr_keyword">public</strong> EReference getConnectorPort_Implements() {
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 		<strong class="jxr_keyword">return</strong> (EReference)connectorPortEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 	}
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L306" href="#L306">306</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L307" href="#L307">307</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L308" href="#L308">308</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L309" href="#L309">309</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 	<strong class="jxr_keyword">public</strong> EReference getConnectorPort_Base_Property() {
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 		<strong class="jxr_keyword">return</strong> (EReference)connectorPortEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 	}
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L315" href="#L315">315</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L316" href="#L316">316</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L317" href="#L317">317</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L318" href="#L318">318</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L319" href="#L319">319</a> 	<strong class="jxr_keyword">public</strong> EClass getInteractionRole() {
<a class="jxr_linenumber" name="L320" href="#L320">320</a> 		<strong class="jxr_keyword">return</strong> interactionRoleEClass;
<a class="jxr_linenumber" name="L321" href="#L321">321</a> 	}
<a class="jxr_linenumber" name="L322" href="#L322">322</a> 
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L324" href="#L324">324</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L325" href="#L325">325</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L326" href="#L326">326</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L327" href="#L327">327</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 	<strong class="jxr_keyword">public</strong> EReference getInteractionRole_InvolvedItem() {
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 		<strong class="jxr_keyword">return</strong> (EReference)interactionRoleEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L330" href="#L330">330</a> 	}
<a class="jxr_linenumber" name="L331" href="#L331">331</a> 
<a class="jxr_linenumber" name="L332" href="#L332">332</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L333" href="#L333">333</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L334" href="#L334">334</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L335" href="#L335">335</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L336" href="#L336">336</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 	<strong class="jxr_keyword">public</strong> EReference getInteractionRole_Base_Property() {
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 		<strong class="jxr_keyword">return</strong> (EReference)interactionRoleEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 	}
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 
<a class="jxr_linenumber" name="L341" href="#L341">341</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L342" href="#L342">342</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L343" href="#L343">343</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L344" href="#L344">344</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L345" href="#L345">345</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L346" href="#L346">346</a> 	<strong class="jxr_keyword">public</strong> EClass getPortElement() {
<a class="jxr_linenumber" name="L347" href="#L347">347</a> 		<strong class="jxr_keyword">return</strong> portElementEClass;
<a class="jxr_linenumber" name="L348" href="#L348">348</a> 	}
<a class="jxr_linenumber" name="L349" href="#L349">349</a> 
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L351" href="#L351">351</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L352" href="#L352">352</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L353" href="#L353">353</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L354" href="#L354">354</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L355" href="#L355">355</a> 	<strong class="jxr_keyword">public</strong> EAttribute getPortElement_Kind() {
<a class="jxr_linenumber" name="L356" href="#L356">356</a> 		<strong class="jxr_keyword">return</strong> (EAttribute)portElementEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L357" href="#L357">357</a> 	}
<a class="jxr_linenumber" name="L358" href="#L358">358</a> 
<a class="jxr_linenumber" name="L359" href="#L359">359</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L360" href="#L360">360</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L361" href="#L361">361</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L362" href="#L362">362</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L363" href="#L363">363</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L364" href="#L364">364</a> 	<strong class="jxr_keyword">public</strong> EReference getPortElement_Base_Property() {
<a class="jxr_linenumber" name="L365" href="#L365">365</a> 		<strong class="jxr_keyword">return</strong> (EReference)portElementEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L366" href="#L366">366</a> 	}
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L369" href="#L369">369</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L370" href="#L370">370</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L371" href="#L371">371</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L372" href="#L372">372</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L373" href="#L373">373</a> 	<strong class="jxr_keyword">public</strong> EClass getConnectorDefinition() {
<a class="jxr_linenumber" name="L374" href="#L374">374</a> 		<strong class="jxr_keyword">return</strong> connectorDefinitionEClass;
<a class="jxr_linenumber" name="L375" href="#L375">375</a> 	}
<a class="jxr_linenumber" name="L376" href="#L376">376</a> 
<a class="jxr_linenumber" name="L377" href="#L377">377</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L378" href="#L378">378</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L379" href="#L379">379</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L380" href="#L380">380</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L381" href="#L381">381</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L382" href="#L382">382</a> 	<strong class="jxr_keyword">public</strong> EClass getItemBinding() {
<a class="jxr_linenumber" name="L383" href="#L383">383</a> 		<strong class="jxr_keyword">return</strong> itemBindingEClass;
<a class="jxr_linenumber" name="L384" href="#L384">384</a> 	}
<a class="jxr_linenumber" name="L385" href="#L385">385</a> 
<a class="jxr_linenumber" name="L386" href="#L386">386</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L387" href="#L387">387</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L388" href="#L388">388</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L389" href="#L389">389</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L390" href="#L390">390</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L391" href="#L391">391</a> 	<strong class="jxr_keyword">public</strong> EReference getItemBinding_Base_Property() {
<a class="jxr_linenumber" name="L392" href="#L392">392</a> 		<strong class="jxr_keyword">return</strong> (EReference)itemBindingEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L393" href="#L393">393</a> 	}
<a class="jxr_linenumber" name="L394" href="#L394">394</a> 
<a class="jxr_linenumber" name="L395" href="#L395">395</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L396" href="#L396">396</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L397" href="#L397">397</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L398" href="#L398">398</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L399" href="#L399">399</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L400" href="#L400">400</a> 	<strong class="jxr_keyword">public</strong> EReference getItemBinding_InteractionItem() {
<a class="jxr_linenumber" name="L401" href="#L401">401</a> 		<strong class="jxr_keyword">return</strong> (EReference)itemBindingEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L402" href="#L402">402</a> 	}
<a class="jxr_linenumber" name="L403" href="#L403">403</a> 
<a class="jxr_linenumber" name="L404" href="#L404">404</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L405" href="#L405">405</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L406" href="#L406">406</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L407" href="#L407">407</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L408" href="#L408">408</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L409" href="#L409">409</a> 	<strong class="jxr_keyword">public</strong> EClass getPortType() {
<a class="jxr_linenumber" name="L410" href="#L410">410</a> 		<strong class="jxr_keyword">return</strong> portTypeEClass;
<a class="jxr_linenumber" name="L411" href="#L411">411</a> 	}
<a class="jxr_linenumber" name="L412" href="#L412">412</a> 
<a class="jxr_linenumber" name="L413" href="#L413">413</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L414" href="#L414">414</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L415" href="#L415">415</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L416" href="#L416">416</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L417" href="#L417">417</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L418" href="#L418">418</a> 	<strong class="jxr_keyword">public</strong> EClass getIPortType() {
<a class="jxr_linenumber" name="L419" href="#L419">419</a> 		<strong class="jxr_keyword">return</strong> iPortTypeEClass;
<a class="jxr_linenumber" name="L420" href="#L420">420</a> 	}
<a class="jxr_linenumber" name="L421" href="#L421">421</a> 
<a class="jxr_linenumber" name="L422" href="#L422">422</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L423" href="#L423">423</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L424" href="#L424">424</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L425" href="#L425">425</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L426" href="#L426">426</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L427" href="#L427">427</a> 	<strong class="jxr_keyword">public</strong> EReference getIPortType_Base_Class() {
<a class="jxr_linenumber" name="L428" href="#L428">428</a> 		<strong class="jxr_keyword">return</strong> (EReference)iPortTypeEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L429" href="#L429">429</a> 	}
<a class="jxr_linenumber" name="L430" href="#L430">430</a> 
<a class="jxr_linenumber" name="L431" href="#L431">431</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L432" href="#L432">432</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L433" href="#L433">433</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L434" href="#L434">434</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L435" href="#L435">435</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L436" href="#L436">436</a> 	<strong class="jxr_keyword">public</strong> EClass getConnectorPortConfiguration() {
<a class="jxr_linenumber" name="L437" href="#L437">437</a> 		<strong class="jxr_keyword">return</strong> connectorPortConfigurationEClass;
<a class="jxr_linenumber" name="L438" href="#L438">438</a> 	}
<a class="jxr_linenumber" name="L439" href="#L439">439</a> 
<a class="jxr_linenumber" name="L440" href="#L440">440</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L441" href="#L441">441</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L442" href="#L442">442</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L443" href="#L443">443</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L444" href="#L444">444</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L445" href="#L445">445</a> 	<strong class="jxr_keyword">public</strong> EReference getConnectorPortConfiguration_Port() {
<a class="jxr_linenumber" name="L446" href="#L446">446</a> 		<strong class="jxr_keyword">return</strong> (EReference)connectorPortConfigurationEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L447" href="#L447">447</a> 	}
<a class="jxr_linenumber" name="L448" href="#L448">448</a> 
<a class="jxr_linenumber" name="L449" href="#L449">449</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L450" href="#L450">450</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L451" href="#L451">451</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L452" href="#L452">452</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L453" href="#L453">453</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L454" href="#L454">454</a> 	<strong class="jxr_keyword">public</strong> EReference getConnectorPortConfiguration_Base_Class() {
<a class="jxr_linenumber" name="L455" href="#L455">455</a> 		<strong class="jxr_keyword">return</strong> (EReference)connectorPortConfigurationEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L456" href="#L456">456</a> 	}
<a class="jxr_linenumber" name="L457" href="#L457">457</a> 
<a class="jxr_linenumber" name="L458" href="#L458">458</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L459" href="#L459">459</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L460" href="#L460">460</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L461" href="#L461">461</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L462" href="#L462">462</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L463" href="#L463">463</a> 	<strong class="jxr_keyword">public</strong> EClass getInteractionItem() {
<a class="jxr_linenumber" name="L464" href="#L464">464</a> 		<strong class="jxr_keyword">return</strong> interactionItemEClass;
<a class="jxr_linenumber" name="L465" href="#L465">465</a> 	}
<a class="jxr_linenumber" name="L466" href="#L466">466</a> 
<a class="jxr_linenumber" name="L467" href="#L467">467</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L468" href="#L468">468</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L469" href="#L469">469</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L470" href="#L470">470</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L471" href="#L471">471</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L472" href="#L472">472</a> 	<strong class="jxr_keyword">public</strong> EAttribute getInteractionItem_Nature() {
<a class="jxr_linenumber" name="L473" href="#L473">473</a> 		<strong class="jxr_keyword">return</strong> (EAttribute)interactionItemEClass.getEStructuralFeatures().get(0);
<a class="jxr_linenumber" name="L474" href="#L474">474</a> 	}
<a class="jxr_linenumber" name="L475" href="#L475">475</a> 
<a class="jxr_linenumber" name="L476" href="#L476">476</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L477" href="#L477">477</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L478" href="#L478">478</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L479" href="#L479">479</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L480" href="#L480">480</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L481" href="#L481">481</a> 	<strong class="jxr_keyword">public</strong> EReference getInteractionItem_Base_Property() {
<a class="jxr_linenumber" name="L482" href="#L482">482</a> 		<strong class="jxr_keyword">return</strong> (EReference)interactionItemEClass.getEStructuralFeatures().get(1);
<a class="jxr_linenumber" name="L483" href="#L483">483</a> 	}
<a class="jxr_linenumber" name="L484" href="#L484">484</a> 
<a class="jxr_linenumber" name="L485" href="#L485">485</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L486" href="#L486">486</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L487" href="#L487">487</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L488" href="#L488">488</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L489" href="#L489">489</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L490" href="#L490">490</a> 	<strong class="jxr_keyword">public</strong> EEnum getPortElementKind() {
<a class="jxr_linenumber" name="L491" href="#L491">491</a> 		<strong class="jxr_keyword">return</strong> portElementKindEEnum;
<a class="jxr_linenumber" name="L492" href="#L492">492</a> 	}
<a class="jxr_linenumber" name="L493" href="#L493">493</a> 
<a class="jxr_linenumber" name="L494" href="#L494">494</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L495" href="#L495">495</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L496" href="#L496">496</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L497" href="#L497">497</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L498" href="#L498">498</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L499" href="#L499">499</a> 	<strong class="jxr_keyword">public</strong> EEnum getInteractionItemKind() {
<a class="jxr_linenumber" name="L500" href="#L500">500</a> 		<strong class="jxr_keyword">return</strong> interactionItemKindEEnum;
<a class="jxr_linenumber" name="L501" href="#L501">501</a> 	}
<a class="jxr_linenumber" name="L502" href="#L502">502</a> 
<a class="jxr_linenumber" name="L503" href="#L503">503</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L504" href="#L504">504</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L505" href="#L505">505</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L506" href="#L506">506</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L507" href="#L507">507</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L508" href="#L508">508</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_interactions/Ucm_interactionsFactory.html">Ucm_interactionsFactory</a> getUcm_interactionsFactory() {
<a class="jxr_linenumber" name="L509" href="#L509">509</a> 		<strong class="jxr_keyword">return</strong> (Ucm_interactionsFactory)getEFactoryInstance();
<a class="jxr_linenumber" name="L510" href="#L510">510</a> 	}
<a class="jxr_linenumber" name="L511" href="#L511">511</a> 
<a class="jxr_linenumber" name="L512" href="#L512">512</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L513" href="#L513">513</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L514" href="#L514">514</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L515" href="#L515">515</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L516" href="#L516">516</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L517" href="#L517">517</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isCreated = false;
<a class="jxr_linenumber" name="L518" href="#L518">518</a> 
<a class="jxr_linenumber" name="L519" href="#L519">519</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L520" href="#L520">520</a> <em class="jxr_javadoccomment">	 * Creates the meta-model objects for the package.  This method is</em>
<a class="jxr_linenumber" name="L521" href="#L521">521</a> <em class="jxr_javadoccomment">	 * guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L522" href="#L522">522</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L523" href="#L523">523</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L524" href="#L524">524</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L525" href="#L525">525</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L526" href="#L526">526</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> createPackageContents() {
<a class="jxr_linenumber" name="L527" href="#L527">527</a> 		<strong class="jxr_keyword">if</strong> (isCreated) <strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L528" href="#L528">528</a> 		isCreated = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L529" href="#L529">529</a> 
<a class="jxr_linenumber" name="L530" href="#L530">530</a> 		<em class="jxr_comment">// Create classes and their features</em>
<a class="jxr_linenumber" name="L531" href="#L531">531</a> 		interactionDefinitionModuleEClass = createEClass(INTERACTION_DEFINITION_MODULE);
<a class="jxr_linenumber" name="L532" href="#L532">532</a> 		createEReference(interactionDefinitionModuleEClass, INTERACTION_DEFINITION_MODULE__BASE_PACKAGE);
<a class="jxr_linenumber" name="L533" href="#L533">533</a> 
<a class="jxr_linenumber" name="L534" href="#L534">534</a> 		interactionPatternEClass = createEClass(INTERACTION_PATTERN);
<a class="jxr_linenumber" name="L535" href="#L535">535</a> 
<a class="jxr_linenumber" name="L536" href="#L536">536</a> 		iInteractionDefinitionEClass = createEClass(IINTERACTION_DEFINITION);
<a class="jxr_linenumber" name="L537" href="#L537">537</a> 		createEReference(iInteractionDefinitionEClass, IINTERACTION_DEFINITION__BASE_STRUCTURED_CLASSIFIER);
<a class="jxr_linenumber" name="L538" href="#L538">538</a> 
<a class="jxr_linenumber" name="L539" href="#L539">539</a> 		connectorPortEClass = createEClass(CONNECTOR_PORT);
<a class="jxr_linenumber" name="L540" href="#L540">540</a> 		createEReference(connectorPortEClass, CONNECTOR_PORT__IMPLEMENTS);
<a class="jxr_linenumber" name="L541" href="#L541">541</a> 		createEReference(connectorPortEClass, CONNECTOR_PORT__BASE_PROPERTY);
<a class="jxr_linenumber" name="L542" href="#L542">542</a> 
<a class="jxr_linenumber" name="L543" href="#L543">543</a> 		interactionRoleEClass = createEClass(INTERACTION_ROLE);
<a class="jxr_linenumber" name="L544" href="#L544">544</a> 		createEReference(interactionRoleEClass, INTERACTION_ROLE__INVOLVED_ITEM);
<a class="jxr_linenumber" name="L545" href="#L545">545</a> 		createEReference(interactionRoleEClass, INTERACTION_ROLE__BASE_PROPERTY);
<a class="jxr_linenumber" name="L546" href="#L546">546</a> 
<a class="jxr_linenumber" name="L547" href="#L547">547</a> 		portElementEClass = createEClass(PORT_ELEMENT);
<a class="jxr_linenumber" name="L548" href="#L548">548</a> 		createEAttribute(portElementEClass, PORT_ELEMENT__KIND);
<a class="jxr_linenumber" name="L549" href="#L549">549</a> 		createEReference(portElementEClass, PORT_ELEMENT__BASE_PROPERTY);
<a class="jxr_linenumber" name="L550" href="#L550">550</a> 
<a class="jxr_linenumber" name="L551" href="#L551">551</a> 		connectorDefinitionEClass = createEClass(CONNECTOR_DEFINITION);
<a class="jxr_linenumber" name="L552" href="#L552">552</a> 
<a class="jxr_linenumber" name="L553" href="#L553">553</a> 		itemBindingEClass = createEClass(ITEM_BINDING);
<a class="jxr_linenumber" name="L554" href="#L554">554</a> 		createEReference(itemBindingEClass, ITEM_BINDING__BASE_PROPERTY);
<a class="jxr_linenumber" name="L555" href="#L555">555</a> 		createEReference(itemBindingEClass, ITEM_BINDING__INTERACTION_ITEM);
<a class="jxr_linenumber" name="L556" href="#L556">556</a> 
<a class="jxr_linenumber" name="L557" href="#L557">557</a> 		portTypeEClass = createEClass(PORT_TYPE);
<a class="jxr_linenumber" name="L558" href="#L558">558</a> 
<a class="jxr_linenumber" name="L559" href="#L559">559</a> 		iPortTypeEClass = createEClass(IPORT_TYPE);
<a class="jxr_linenumber" name="L560" href="#L560">560</a> 		createEReference(iPortTypeEClass, IPORT_TYPE__BASE_CLASS);
<a class="jxr_linenumber" name="L561" href="#L561">561</a> 
<a class="jxr_linenumber" name="L562" href="#L562">562</a> 		connectorPortConfigurationEClass = createEClass(CONNECTOR_PORT_CONFIGURATION);
<a class="jxr_linenumber" name="L563" href="#L563">563</a> 		createEReference(connectorPortConfigurationEClass, CONNECTOR_PORT_CONFIGURATION__PORT);
<a class="jxr_linenumber" name="L564" href="#L564">564</a> 		createEReference(connectorPortConfigurationEClass, CONNECTOR_PORT_CONFIGURATION__BASE_CLASS);
<a class="jxr_linenumber" name="L565" href="#L565">565</a> 
<a class="jxr_linenumber" name="L566" href="#L566">566</a> 		interactionItemEClass = createEClass(INTERACTION_ITEM);
<a class="jxr_linenumber" name="L567" href="#L567">567</a> 		createEAttribute(interactionItemEClass, INTERACTION_ITEM__NATURE);
<a class="jxr_linenumber" name="L568" href="#L568">568</a> 		createEReference(interactionItemEClass, INTERACTION_ITEM__BASE_PROPERTY);
<a class="jxr_linenumber" name="L569" href="#L569">569</a> 
<a class="jxr_linenumber" name="L570" href="#L570">570</a> 		<em class="jxr_comment">// Create enums</em>
<a class="jxr_linenumber" name="L571" href="#L571">571</a> 		portElementKindEEnum = createEEnum(PORT_ELEMENT_KIND);
<a class="jxr_linenumber" name="L572" href="#L572">572</a> 		interactionItemKindEEnum = createEEnum(INTERACTION_ITEM_KIND);
<a class="jxr_linenumber" name="L573" href="#L573">573</a> 	}
<a class="jxr_linenumber" name="L574" href="#L574">574</a> 
<a class="jxr_linenumber" name="L575" href="#L575">575</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L576" href="#L576">576</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L577" href="#L577">577</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L578" href="#L578">578</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L579" href="#L579">579</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L580" href="#L580">580</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> isInitialized = false;
<a class="jxr_linenumber" name="L581" href="#L581">581</a> 
<a class="jxr_linenumber" name="L582" href="#L582">582</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L583" href="#L583">583</a> <em class="jxr_javadoccomment">	 * Complete the initialization of the package and its meta-model.  This</em>
<a class="jxr_linenumber" name="L584" href="#L584">584</a> <em class="jxr_javadoccomment">	 * method is guarded to have no affect on any invocation but its first.</em>
<a class="jxr_linenumber" name="L585" href="#L585">585</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L586" href="#L586">586</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L587" href="#L587">587</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L588" href="#L588">588</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L589" href="#L589">589</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> initializePackageContents() {
<a class="jxr_linenumber" name="L590" href="#L590">590</a> 		<strong class="jxr_keyword">if</strong> (isInitialized) <strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L591" href="#L591">591</a> 		isInitialized = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L592" href="#L592">592</a> 
<a class="jxr_linenumber" name="L593" href="#L593">593</a> 		<em class="jxr_comment">// Initialize package</em>
<a class="jxr_linenumber" name="L594" href="#L594">594</a> 		setName(eNAME);
<a class="jxr_linenumber" name="L595" href="#L595">595</a> 		setNsPrefix(eNS_PREFIX);
<a class="jxr_linenumber" name="L596" href="#L596">596</a> 		setNsURI(eNS_URI);
<a class="jxr_linenumber" name="L597" href="#L597">597</a> 
<a class="jxr_linenumber" name="L598" href="#L598">598</a> 		<em class="jxr_comment">// Obtain other dependent packages</em>
<a class="jxr_linenumber" name="L599" href="#L599">599</a> 		UMLPackage theUMLPackage = (UMLPackage)EPackage.Registry.INSTANCE.getEPackage(UMLPackage.eNS_URI);
<a class="jxr_linenumber" name="L600" href="#L600">600</a> 		Ucm_contractsPackage theUcm_contractsPackage = (Ucm_contractsPackage)EPackage.Registry.INSTANCE.getEPackage(Ucm_contractsPackage.eNS_URI);
<a class="jxr_linenumber" name="L601" href="#L601">601</a> 
<a class="jxr_linenumber" name="L602" href="#L602">602</a> 		<em class="jxr_comment">// Create type parameters</em>
<a class="jxr_linenumber" name="L603" href="#L603">603</a> 
<a class="jxr_linenumber" name="L604" href="#L604">604</a> 		<em class="jxr_comment">// Set bounds for type parameters</em>
<a class="jxr_linenumber" name="L605" href="#L605">605</a> 
<a class="jxr_linenumber" name="L606" href="#L606">606</a> 		<em class="jxr_comment">// Add supertypes to classes</em>
<a class="jxr_linenumber" name="L607" href="#L607">607</a> 		interactionPatternEClass.getESuperTypes().add(<strong class="jxr_keyword">this</strong>.getIInteractionDefinition());
<a class="jxr_linenumber" name="L608" href="#L608">608</a> 		connectorDefinitionEClass.getESuperTypes().add(<strong class="jxr_keyword">this</strong>.getIInteractionDefinition());
<a class="jxr_linenumber" name="L609" href="#L609">609</a> 		connectorDefinitionEClass.getESuperTypes().add(theUcm_contractsPackage.getIConfigurable());
<a class="jxr_linenumber" name="L610" href="#L610">610</a> 		portTypeEClass.getESuperTypes().add(<strong class="jxr_keyword">this</strong>.getIPortType());
<a class="jxr_linenumber" name="L611" href="#L611">611</a> 		connectorPortConfigurationEClass.getESuperTypes().add(theUcm_contractsPackage.getIConfigurable());
<a class="jxr_linenumber" name="L612" href="#L612">612</a> 
<a class="jxr_linenumber" name="L613" href="#L613">613</a> 		<em class="jxr_comment">// Initialize classes, features, and operations; add parameters</em>
<a class="jxr_linenumber" name="L614" href="#L614">614</a> 		initEClass(interactionDefinitionModuleEClass, InteractionDefinitionModule.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"InteractionDefinitionModule"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L615" href="#L615">615</a> 		initEReference(getInteractionDefinitionModule_Base_Package(), theUMLPackage.getPackage(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Package"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, InteractionDefinitionModule.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L616" href="#L616">616</a> 
<a class="jxr_linenumber" name="L617" href="#L617">617</a> 		initEClass(interactionPatternEClass, InteractionPattern.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"InteractionPattern"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L618" href="#L618">618</a> 
<a class="jxr_linenumber" name="L619" href="#L619">619</a> 		initEClass(iInteractionDefinitionEClass, IInteractionDefinition.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"IInteractionDefinition"</span>, IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L620" href="#L620">620</a> 		initEReference(getIInteractionDefinition_Base_StructuredClassifier(), theUMLPackage.getStructuredClassifier(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_StructuredClassifier"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, IInteractionDefinition.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L621" href="#L621">621</a> 
<a class="jxr_linenumber" name="L622" href="#L622">622</a> 		initEClass(connectorPortEClass, ConnectorPort.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"ConnectorPort"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L623" href="#L623">623</a> 		initEReference(getConnectorPort_Implements(), <strong class="jxr_keyword">this</strong>.getInteractionRole(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"implements"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ConnectorPort.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L624" href="#L624">624</a> 		initEReference(getConnectorPort_Base_Property(), theUMLPackage.getProperty(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Property"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ConnectorPort.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L625" href="#L625">625</a> 
<a class="jxr_linenumber" name="L626" href="#L626">626</a> 		initEClass(interactionRoleEClass, InteractionRole.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"InteractionRole"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L627" href="#L627">627</a> 		initEReference(getInteractionRole_InvolvedItem(), <strong class="jxr_keyword">this</strong>.getInteractionItem(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"involvedItem"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, InteractionRole.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L628" href="#L628">628</a> 		initEReference(getInteractionRole_Base_Property(), theUMLPackage.getProperty(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Property"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, InteractionRole.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L629" href="#L629">629</a> 
<a class="jxr_linenumber" name="L630" href="#L630">630</a> 		initEClass(portElementEClass, PortElement.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"PortElement"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L631" href="#L631">631</a> 		initEAttribute(getPortElement_Kind(), <strong class="jxr_keyword">this</strong>.getPortElementKind(), <span class="jxr_string">"kind"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, PortElement.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L632" href="#L632">632</a> 		initEReference(getPortElement_Base_Property(), theUMLPackage.getProperty(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Property"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, PortElement.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L633" href="#L633">633</a> 
<a class="jxr_linenumber" name="L634" href="#L634">634</a> 		initEClass(connectorDefinitionEClass, ConnectorDefinition.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"ConnectorDefinition"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L635" href="#L635">635</a> 
<a class="jxr_linenumber" name="L636" href="#L636">636</a> 		initEClass(itemBindingEClass, ItemBinding.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"ItemBinding"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L637" href="#L637">637</a> 		initEReference(getItemBinding_Base_Property(), theUMLPackage.getProperty(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Property"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ItemBinding.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L638" href="#L638">638</a> 		initEReference(getItemBinding_InteractionItem(), <strong class="jxr_keyword">this</strong>.getInteractionItem(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"interactionItem"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ItemBinding.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L639" href="#L639">639</a> 
<a class="jxr_linenumber" name="L640" href="#L640">640</a> 		initEClass(portTypeEClass, PortType.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"PortType"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L641" href="#L641">641</a> 
<a class="jxr_linenumber" name="L642" href="#L642">642</a> 		initEClass(iPortTypeEClass, IPortType.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"IPortType"</span>, IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L643" href="#L643">643</a> 		initEReference(getIPortType_Base_Class(), theUMLPackage.getClass_(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Class"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, IPortType.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L644" href="#L644">644</a> 
<a class="jxr_linenumber" name="L645" href="#L645">645</a> 		initEClass(connectorPortConfigurationEClass, ConnectorPortConfiguration.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"ConnectorPortConfiguration"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L646" href="#L646">646</a> 		initEReference(getConnectorPortConfiguration_Port(), <strong class="jxr_keyword">this</strong>.getConnectorPort(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"port"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ConnectorPortConfiguration.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L647" href="#L647">647</a> 		initEReference(getConnectorPortConfiguration_Base_Class(), theUMLPackage.getClass_(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Class"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, ConnectorPortConfiguration.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L648" href="#L648">648</a> 
<a class="jxr_linenumber" name="L649" href="#L649">649</a> 		initEClass(interactionItemEClass, InteractionItem.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"InteractionItem"</span>, !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
<a class="jxr_linenumber" name="L650" href="#L650">650</a> 		initEAttribute(getInteractionItem_Nature(), <strong class="jxr_keyword">this</strong>.getInteractionItemKind(), <span class="jxr_string">"nature"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, InteractionItem.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L651" href="#L651">651</a> 		initEReference(getInteractionItem_Base_Property(), theUMLPackage.getProperty(), <strong class="jxr_keyword">null</strong>, <span class="jxr_string">"base_Property"</span>, <strong class="jxr_keyword">null</strong>, 1, 1, InteractionItem.<strong class="jxr_keyword">class</strong>, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
<a class="jxr_linenumber" name="L652" href="#L652">652</a> 
<a class="jxr_linenumber" name="L653" href="#L653">653</a> 		<em class="jxr_comment">// Initialize enums and add enum literals</em>
<a class="jxr_linenumber" name="L654" href="#L654">654</a> 		initEEnum(portElementKindEEnum, PortElementKind.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"PortElementKind"</span>);
<a class="jxr_linenumber" name="L655" href="#L655">655</a> 		addEEnumLiteral(portElementKindEEnum, PortElementKind.PROVIDED);
<a class="jxr_linenumber" name="L656" href="#L656">656</a> 		addEEnumLiteral(portElementKindEEnum, PortElementKind.REQUIRED);
<a class="jxr_linenumber" name="L657" href="#L657">657</a> 
<a class="jxr_linenumber" name="L658" href="#L658">658</a> 		initEEnum(interactionItemKindEEnum, InteractionItemKind.<strong class="jxr_keyword">class</strong>, <span class="jxr_string">"InteractionItemKind"</span>);
<a class="jxr_linenumber" name="L659" href="#L659">659</a> 		addEEnumLiteral(interactionItemKindEEnum, InteractionItemKind.DATA);
<a class="jxr_linenumber" name="L660" href="#L660">660</a> 		addEEnumLiteral(interactionItemKindEEnum, InteractionItemKind.INTERFACE);
<a class="jxr_linenumber" name="L661" href="#L661">661</a> 	}
<a class="jxr_linenumber" name="L662" href="#L662">662</a> 
<a class="jxr_linenumber" name="L663" href="#L663">663</a> } <em class="jxr_comment">//Ucm_interactionsPackageImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
